#
# spec file for package mapi-header-php
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _empty_manifest_terminate_build 0

Name:           mapi-header-php
Version:        1.4.0.db15bd0
Release:        1.1
Summary:        Common PHP MAPI header files for grommunio
License:        AGPL-3.0-or-later
Group:          Productivity/Networking/Email/Servers
URL:            https://grommunio.com/
#Git-Clone:     https://github.com/grommunio/mapi-header-php
Source:         %name-%version.tar.xz
BuildArch:      noarch

%description
PHP files shared between grommunio-web, grommunio-sync and other PHP
applications from the groupware suite.

%prep
%autosetup

%build

%install
%make_install

%files
%_datadir/php-mapi/
%license LICENSE.txt

%changelog
* Tue Oct  8 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.4
  * Conditionally provide
    ``PR_EC_WEBAPP_PERSISTENT_SETTINGS_JSON``,
    ``PR_EC_RECIPIENT_HISTORY_JSON`` if they is not already made
    available from mapi.so
  * Occurrence exceptions are treated as localtime
  * Fix erroneous end time for never-ending recurrences
  * Fix duplicate participants appearing in meeting objects
  * Do not process meeting requests locate in the "Sent Items"
    folder
* Wed Nov  1 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.3 (a04f1af)
  * Add ``KeyCloak`` and ``Token`` classes
* Mon Aug 28 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.2 (0db2832)
  * Rename CAL_DEFAULT to MAPI_CAL_DEFAULT
  * Do not mark meeting requests as read
  * Add freebusy permission bits to mapidefs
  * Define MAPIException::setNotificationType()
* Mon Feb 27 2023 Jan Engelhardt <jengelh@inai.de>
- Update to tag 1.1 (70e984f)
  * Add a prefix to the CAL_DEFAULT and CAL_GREGORIAN constants to
    avoid runtime conflict with php-calendar
  * Remove mapi_strerror since it was moved to Gromox/PHP-MAPI
* Fri Jan 13 2023 Jan Engelhardt <jengelh@inai.de>
- Add license.txt
* Thu Jan 12 2023 Jan Engelhardt <jengelh@inai.de>
- Initial package (version 1.0.13.f8f3255) for build.opensuse.org
